<?php

// Special treatment for AJAX submissions
if(r::is('POST')) {
	$fields = [];
	foreach(r::data() as $field => $value) {
		$fields[$field] = $form->hasError($field);
	}
	
	$data = [
		'success' => $form->successful(),
		'fields'  => $fields,
		'message' => $form->message()
	];
	
	echo response::json($data);
} else {
	require_once('default.json.php');
}
